Ubuntu

Too many open files

Reported by Jarkko Lietolahti on 2008-11-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eclipse (Ubuntu)
Low
Niels Thykier

Bug Description

The default number of allowed open files (which is 1024) is too low for many situtations. E.g. when developing with Eclipse with many different plugins installed it's very easy to get "Too many open files" Exception.

The fix is to setup number of allowed files larger than 1024. This is done /etc/security/limits.conf

Related branches

Jarkko Lietolahti (jarkko-jab) wrote :
Jarkko Lietolahti (jarkko-jab) wrote :

The relevant part in limits.conf:

* hard nofile 50000
* soft nofile 50000

This allows 50000 simultanous open files per user.

Niels Thykier (niels-thykier) wrote :

Hi Jarkko Lietolahti

I know it has been a while since you reported this bug and I assume you by now already have put this work around to use. Nevertheless, I stumbled upon an interesting blog in regards to this[1] that may solve the problem without changing the system limit.

I have not tested this - I have never experienced this issue with eclipse, but know that a lot of users have been affected by it.

~Niels

[1] http://tech-torch.blogspot.com/2009/07/solution-fix-is-adding-following-entry.html

Niels Thykier (niels-thykier) wrote :

This will be fixed in the next upload of eclipse.

~Niels

affects: pam (Ubuntu) → eclipse (Ubuntu)
Changed in eclipse (Ubuntu):
assignee: nobody → Niels Thykier (niels-thykier)
status: New → Fix Committed
Benjamin Drung (bdrung) on 2010-01-17
Changed in eclipse (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse - 3.5.1+repack~3-0ubuntu2

---------------
eclipse (3.5.1+repack~3-0ubuntu2) lucid; urgency=low

  * Rebase to packaging from pkg-java/eclipse (thanks to Niels Thykier):
    + Set a sane file limit for osgi-bundles. (Closes: #558693, LP: #293573)
    + Inject update sites on first run. (LP: #460944)
    + Prevent conflict with swt-gtk's swt packages.
      - Rename our swt packages.
      - Do not install conflicting symlinks/files.
      (Closes: #541638, LP: #491880)
    + Imported patch from Fedora that fixes seg. faults in libpango.
      (LP: #445009)
    + Update manpage. (LP: #494065)
    + Bump Standards-Version to 3.8.4.
  * Re-add versioned dependency on libcommons-el-java, libjetty-java,
    libservlet2.4-java; the packages are now available in Ubuntu.
  * Drop versioned dependency on liblucene2-java and libmx4j-java; they are not
    yet available in Ubuntu.
 -- Benjamin Drung <email address hidden> Sat, 30 Jan 2010 18:55:04 +0100

Changed in eclipse (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments